Bug 52033 - Properties button in redhat-config-users-0.9.2-2 does not work
Properties button in redhat-config-users-0.9.2-2 does not work
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-users (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2001-08-19 06:20 EDT by Joachim Frieben
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-04 13:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2001-08-19 06:20:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Pushing the properties button has no effect. Consequently, it is 
impossible to edit the user properties.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch 'redhat-config-users'
2. Push the 'Properties' button

Actual Results:  None

Expected Results:  Pop up properties window of selected user

Additional info: None
Comment 1 Brent Fox 2001-08-21 14:33:41 EDT
Have you selected a row (either a user or a group) that you wish to edit the
properties of?
Comment 2 Joachim Frieben 2001-08-22 15:22:46 EDT
The error occurs when one tries to edit the properties of some user (seems to 
work well for groups). The .xsession-errors file yields some output related to 
this erroneaous behaviour:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/redhat-config-users/mainWindow.py", line 444, in 
  File "/usr/share/redhat-config-users/mainWindow.py", line 451, in 
    self.userProperties.showUserProperties(userEnt, row)
  File "/usr/share/redhat-config-users/userProperties.py", line 188, in 
    if self.parent.ADMIN.userIsLocked(self.userEnt) == 1:
SystemError: bad format char passed to Py_BuildValue
Comment 3 Brent Fox 2001-09-04 10:43:18 EDT
I can't reproduce this.  Can you try the redhat-config-users-0.9.2-4 that is in
Rawhide now and see if this still happens?
Comment 4 Joachim Frieben 2001-09-04 13:03:00 EDT
I had obtained this error message after upgrading from the previous version 
installed with Red Hat Linux 7.1.93 Beta (Roswell I). After a fresh install of 
Red Hat Linux 7.1.94 Beta (Roswell II), the included version (which is actually 
the rawhide version for which the bug was initially reported) works properly 
with respect to the reported behaviour. It seems like if the dependencies where 
not set up correctly.
Comment 5 Brent Fox 2001-09-06 10:12:24 EDT
Ok.  Glad to see that things are working now.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.